| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::Feature Class Reference
Utililty classes

The Feature class represents a feature that can be enabled on demand. More...

`#include <TelepathyQt/Feature>`

Inherits QPair< QString, uint >.

List of all members.

## Public Member Functions

- Feature ()
- Feature (const QString &className, uint id, bool critical=false)
- Feature (const Feature &other)
- ~Feature ()
- bool isValid () const
- Feature & operator= (const Feature &other)
- bool isCritical () const

## Detailed Description

The Feature class represents a feature that can be enabled on demand.

## Constructor & Destructor Documentation

Tp::Feature::Feature | ( |  | ) |

Tp::Feature::Feature | ( | const QString & | className,
|  | uint | id,
|  | bool | critical = `false`
| ) |  |

Tp::Feature::Feature | ( | const Feature & | other | ) |

Tp::Feature::~Feature | ( |  | ) |

## Member Function Documentation

bool Tp::Feature::isValid | ( |  | ) | const`[inline]`

Feature & Tp::Feature::operator= | ( | const Feature & | other | ) |

bool Tp::Feature::isCritical | ( |  | ) | const